# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext_lazy as _
from models_ext import upload_path


class TamronSliderInfo(models.Model):
    HOME = 1
    PGIST = 2

    SLIEDER_TYPE_TUPLE = (
        (HOME, u'首页轮播图'),
        (PGIST, u'产品注册页轮播图'),
    )

    fid = models.IntegerField(_(u'fid'), choices=SLIEDER_TYPE_TUPLE, default=HOME, help_text=u'轮播图类型')
    pic = models.FileField(_(u'pic'), upload_to=upload_path, blank=True, null=True, help_text=u'轮播图图片')
    url = models.CharField(_(u'url'), max_length=255, blank=True, null=True, help_text=u'轮播图链接')
    px = models.IntegerField(_(u'px'), default=1, help_text=u'???')

    class Meta:
        verbose_name = _(u'轮播图信息')
        verbose_name_plural = _(u'轮播图信息')
        db_table = 'shidu_banner'

    def __unicode__(self):
        return unicode(self.pk)


class TamronNavInfo(models.Model):
    lanmu = models.IntegerField(_(u'lanmu'), default=0, help_text=u'???')
    pic = models.FileField(_(u'pic'), upload_to=upload_path, blank=True, null=True, help_text=u'作品图片')
    url = models.CharField(_(u'url'), max_length=255, blank=True, null=True, help_text=u'作品链接')
    px = models.IntegerField(_(u'px'), default=1, help_text=u'???')

    class Meta:
        verbose_name = _(u'作品信息')
        verbose_name_plural = _(u'作品信息')
        db_table = 'shidu_nav'

    def __unicode__(self):
        return unicode(self.pk)
